Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook3Parser Class Reference

`#include <FictionBook3Parser.h>`

## Public Member Functions
| FictionBook3Parser (const RVNGInputStreamPtr_t &input, librevenge::RVNGTextInterface *document)
bool | parse ()

## Private Member Functions
| FictionBook3Parser (const FictionBook3Parser &other)
FictionBook3Parser & | operator= (const FictionBook3Parser &other)

## Private Attributes
const RVNGInputStreamPtr_t & | m_input
librevenge::RVNGTextInterface *const | m_document

## Constructor & Destructor Documentation

## ◆ FictionBook3Parser() [1/2]

libebook::FictionBook3Parser::FictionBook3Parser | ( | const FictionBook3Parser & | other | ) |
| private

## ◆ FictionBook3Parser() [2/2]

libebook::FictionBook3Parser::FictionBook3Parser | ( | const RVNGInputStreamPtr_t & | input,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## Member Function Documentation

## ◆ operator=()

FictionBook3Parser & libebook::FictionBook3Parser::operator= | ( | const FictionBook3Parser & | other | ) |
| private

## ◆ parse()

bool libebook::FictionBook3Parser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::FictionBook3Parser::m_document
| private

## ◆ m_input

const RVNGInputStreamPtr_t& libebook::FictionBook3Parser::m_input
| private

Referenced by FictionBook3Parser().

The documentation for this class was generated from the following files:

- FictionBook3Parser.h
- FictionBook3Parser.cpp